accounts/urls.py
from django.conf.urls import url
from .import views

app_name = 'accounts'

urlpatterns =[
    url(r'^signup_login/$' , views.signup_users , name="signup"),
    url(r'^login/$' , views.loginpage , name="loginpage"),
    url (r'profiles/$' , views.view_profile , name="profil_accounts"),
    url(r'^profiles/edit/$' , views.edit_profile , name="editprofile"),
    url(r'^logout/$' , views.logout_viwe , name="logout"),
    url(r'^test/$' , views.test , name="test"),
    url (r'^profile_charity$' , views.view_profile_charity , name="profile_charity"),
]

charity/urls.py
from django.conf.urls import url
from .import views

app_name = 'charity'

urlpatterns =[
    url(r'^add_charity/$' , views.charityadd , name="addCharity"),
    url(r'^addProject/$',views.addProject,name="addProject"),
    url(r'^golrizoonha/$', views.golrizoon_list , name="golrizooon"),
    url(r'^little_dream/$' , views.little_dream , name="little_dream"),
    url (r'^Profile_charity/$' , views.accepted , name="profile_charity"),
]

index/urls.py
from django.conf.urls import url
from .import views

app_name = 'index'

urlpatterns =[
    url(r'^/$' , views.show_index , name="show_index"),
]

ufl_project/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import url , include
from .import views
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.conf.urls.static import static
from django.conf import settings

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^accounts/', include('accounts.urls')),
    url(r'^charity/', include('charity.urls')),
    url(r'^index/', include('index.urls')),
]

urlpatterns +=staticfiles_urlpatterns()

accounts/models.py
from django.db import models
from django.contrib.auth.models import AbstractUser

# Create your models here.

accounts/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm , UserChangeForm

class RegistrationForm(UserCreationForm):
    email = forms.EmailField(required=True)

    class Meta:
        model = User
        fields = (
            'username',
            'first_name',
            'last_name',
            'email',
            'password1',
            'password2',
        )

    def save(self , commit=True):
        user = super(RegistrationForm , self).save(commit=False)
        user.first_name = self.cleaned_data['first_name']
        user.last_name = self.cleaned_data['last_name']
        user.email = self.cleaned_data['email']

        if commit:
            user.save()

        return user

class EditProfile(UserChangeForm):

    class Meta:
        model=User
        fields = (
            'username',
            'first_name',
            'last_name',
            'email',
            'password',
        )

accounts/views.py
from django.shortcuts import render , redirect ,get_object_or_404
from django.contrib.auth.forms import UserCreationForm , AuthenticationForm
from accounts.forms import RegistrationForm ,EditProfile
from django.contrib.auth.decorators import login_required
from django.contrib.auth import login , logout
from django.contrib.auth.models import User
from charity.models import Modir , Charity , Project , ProjectType
# pylint: disable=E1101
# Create your views here.
def signup_users(request):
    if request.method == 'POST':
        username = request.POST['username']
        form = RegistrationForm(request.POST)
        if form.is_valid():
            form.save()
            request.session['username'] = username
            return redirect('accounts:profil_accounts')
    else:
        form = RegistrationForm()
    return render(request , 'accounts/signup.html' , {'form':form}) 

def test(request):
    return render(request , 'accounts/test.html')

def loginpage(request):
    if request.method == 'POST':
        username = request.POST['username']
        form2 = AuthenticationForm (data=request.POST)
        if form2.is_valid():
            request.session['username'] = username
            user = form2.get_user()
            
            login (request,user)
            if 'next' in request.POST:
                request.session['username'] = username
            return redirect('accounts:profil_accounts')
        else:
            form2 = AuthenticationForm()
    return render(request , 'accounts/signup.html' , {'form2':form2})

@login_required(login_url="/accounts/signup_login/")
def view_profile(request):
    if request.session.has_key('username'):
        posts = request.session['username']
        query = User.objects.filter(username=posts) 
        query2 = User.objects.filter(username=posts).get()
        modirId=query2.id
        charitymodir= Charity.objects.filter(modir=modirId)
    
        return render(request, 'accounts/Profile.html', {"query":query , "charitymodir":charitymodir} )
    else:
        return render(request, 'accounts/Profile.html', {})

@login_required(login_url="/accounts/signup_login/")
def view_profile_charity(request):
    if request.session.has_key('username'):
        posts = request.session['username']
        query = User.objects.filter(username=posts) 
        query2 = User.objects.filter(username=posts).get()
        modirId=query2.id
        charitymodir= Charity.objects.filter(modir=modirId)
    
        return render(request, 'accounts/Profile_charity.html', {"query":query , "charitymodir":charitymodir} )
    else:
        return render(request, 'accounts/Profile_charity.html', {})



@login_required(login_url="/accounts/signup_login/")
def edit_profile(request):
    if request.method == 'POST':
        form = EditProfile(request.POST , instance=request.user)

        if form.is_valid():
            form.save()
            return redirect ('accounts:profil_accounts')

    else:
        form = EditProfile(instance=request.user)
    return render(request , 'accounts/edit_profile.html' , {"form":form})

@login_required(login_url="/accounts/signup_login/")
def logout_viwe(request):
    if request.method=='POST':
        logout(request)
        return redirect('index:show_index')

    

accounts/templates/accounts/Profile.html
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        <meta charset="utf-8">
        <link rel="stylesheet" href="{% static 'bootstrap.css' %}">
        <link rel="stylesheet" href="{% static 'style.css' %}">
        <script src="{% static 'myjs.js' %}"></script>
        <!حذف کردن دایوهای موجود و نمایش فرم ویرایش>
        <script> 
            $(document).ready(function(){
                $(".edite_profile").hide();
                $(".virayesh1").click(function(){
                    $(".box_form_profile_kheiriye").hide();
                    $(".left_sotoon").hide();
                    $(".edite_profile").show(1000);
                });
            });

            $(document).ready(function(){
                $(".virayesh0").click(function(){
                    $(".box_form_profile_kheiriye").show(1000);
                    $(".left_sotoon").show(1000);
                    $(".edite_profile").hide();
                });
            });


        </script>
<style>
input {
  width: 60%;
  padding: 8px;
  font-size: 15px;
  border: 1px solid #ffffff;
  border-radius: 15px;
  text-align: right;
  background-color: rgb(255, 255, 255);
  outline: none;
  color: rgb(138, 138, 138);
  float: right ;
  box-shadow: 0 1px 3px 3px rgba(0, 0, 0, 0.05);
  
  padding-top: 2px;
}
</style>
    </head>

        <body >

            <nav class="navbar navbar-expand-sm bg-dark navbar-dark" style="position: fixed; display: flex; width: 100%;  ">
                <!-- Brand -->
                <nav>
                    <ul>
                        <li>
                           <form action="{% url 'accounts:logout' %}" method="POST">
                                {% csrf_token %}
                                <button class="btn btn-Defoult" type="submit">خروج</button>
                           </form> 
                        </li>
                    </ul>
                </nav>
              
                <!-- Links -->
                <ul class="navbar-nav ml-auto">
                  <li class="nav-item">
                    <a class="nav-link" href="#sesoote">کمک سه‌سوته</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'charity:addCharity' %}">ثبت خیریه</a>
          </li>
      
          <!-- Dropdown -->
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbardrop" data-toggle="dropdown">
              انواع کمک
            </a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="{% url 'charity:golrizooon' %}">گلریزون‌ها</a>
              <a class="dropdown-item" href="#">کمپین‌ها</a>
              <a class="dropdown-item" href="{% url 'charity:little_dream' %}">آرزوهای‌کوچک</a>
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'accounts:signup' %}">ورود/ثبت‌‌نام</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'index:show_index' %}">صفحه اصلی</a>
          </li>
          <a class="navbar-brand " href="#">چتری برای زندگی</a>
                </ul>
    
              </nav>
            <br><br>

            <div class="backgroundprofile_user">

                <div class="rightprofile_charity">
                    <div class="profilecirclepic">
                    </div>

                        <div class="list_meno_profile_kheirire" >
                            <a class="virayesh0" id = "GFG" href = "#" style=" color: rgb(238, 238, 238);"><p>پروفایل</p></a>
                            <a class="virayesh1" id = "GFG" href = "{% url 'accounts:editprofile' %}" style=" color: rgb(238, 238, 238);"><p>ویرایش پروفایل</p></a>
                            <a id = "GFG" href = "#" style=" color: rgb(238, 238, 238);"><p>کمک‌های من</p></a>
                            <a id = "GFG" href = "#" style=" color: rgb(238, 238, 238);"><p>پیام‌های من</p></a>
                            {% for k in charitymodir %}
                            {% if charitymodir %} <a id = "GFG" href = "{% url 'accounts:profile_charity' %}" style=" color: rgb(238, 238, 238);"><p> ( {{ k.name }} )خیریه من</p></a> {% endif %}
                            <a id = "GFG" href = "#" style=" color: rgb(156, 5, 111);"><p>حذف اکانت</p></a>
                            {% endfor %}

                        </div>
                </div>
             

                {% for post in query %}

                    <div class="titr_profilr_kheiriye">
                        <p> !"سلام "{{ post.first_name }} </p>
                            <hr>
                        <div class="titr_profilr_kheiriye_modir">
                            
                            {% if charitymodir %} <p>مدیر</p> {% endif %}
                            {% if not charitymodir %} <p>خیر عادی</p> {% endif %}
                        </div>
                       
                        
                   

                        <div class="box_form_profile_kheiriye" id="map">
                            <div class="box_form_profile_kheiriye_right">
                                <p  class="lable_ofprofilr_kh">نام</p>
                                <p class="lable_ofprofilr_kh">نام خانوادگی</p>
                                <p class="lable_ofprofilr_kh">کدملی</p>
                                <p class="lable_ofprofilr_kh">نام کاربری</p>
                                <p class="lable_ofprofilr_kh">تلفن</p>
                                <p class="lable_ofprofilr_kh">ایمیل</p>
                            </div>

                            <div class="input_profile_kheiriye"><p>{{ post.first_name }}</p></div>
                            <div class="input_profile_kheiriye">{{ post.last_name }}</div>
                            <div class="input_profile_kheiriye">{{ post.codemeli }}</div>
                            <div class="input_profile_kheiriye">{{ post.username }}</div>
                            <div class="input_profile_kheiriye">{{ post.phone }}</div>
                            <div class="input_profile_kheiriye">{{ post.email }}</div>

                        </div>
                        
                        
                    </div>
                    
                    <!فرم ویرایش اطلاعات کاربر>
                <form  method="POST" >
                {% csrf_token %}
    
                    <div class="edite_profile">
                        <div class="right_edite_profile_user">
                            <p class="lable_virayesh_profile_kheiriye">نام</p><br>
                            <br> <p class="lable_virayesh_profile_kheiriye">نام خانوادگی</p><br>
                            <br> <p class="lable_virayesh_profile_kheiriye">کدملی</p><br>
                            <br> <p class="lable_virayesh_profile_kheiriye">نام کاربری</p><br>
                            <br><p class="lable_virayesh_profile_kheiriye">تلفن</p><br>
                            <br> <p class="lable_virayesh_profile_kheiriye">ایمیل</p><br>
                            <br> <p class="lable_virayesh_profile_kheiriye">رمز عبور</p><br>
                        </div>
                        
                        <input placeholder="{{ post.first_name }}"  name="firstname"><br>
                        <br><input  placeholder="{{ post.last_name }}"  name="lastname"><br>
                        <br><input placeholder="{{ post.codemeli }}"  name="codemeli" disabled style="background-color: rgb(255, 252, 225);"><br>
                        <br><input placeholder="{{ post.username }}" disabled style="background-color: rgb(255, 252, 225);" name="username"><br>
                        <br><input placeholder="{{ post.phone }}"  name="phone"><br>
                        <br><input placeholder="{{ post.email }}" name="email"><br>
                        <br><input placeholder="{{ post.password }}"  name="password"><br>
                        {% csrf_token %}
                      

                        <button type="submit" class="btn btn-sherkatmikonam  float-sm-none" style="width: 20%; float: left; margin-left: 50%;">ثبت</button> 
                        <button type="button" class="btn btn-sherkatmikonam float-sm-none " style="width: 20%; float: left; margin-left: 50%; background-color: rgb(224, 73, 73);">انصراف</button> 
                    </form>
                    </div>
                    <!فرم ویرایش اطلاعات کاربر>

                    <div class="left_sotoon">
                        <div class="left_amar_profile_kheiriye">
                            <div class="titr_left_amar_profile">
                                <p>مقدار کمک من</p>
                                <hr>
                            </div>
                            <div class="box_left_amar">
                                <div class="matn_box_left_amar">
                                    <p>215</p>
                                </div>
                            </div>
                        </div>

                        <div class="left_amar_profile_kheiriye">
                            <div class="titr_left_amar_profile">
                                <p>تعداد کمک‌های من</p>
                                <hr>
                            </div>
                            <div class="box_left_amar">
                                <div class="matn_box_left_amar">
                                    <p>2015</p>
                                </div>
                            </div>
                        </div>

                        <div class="left_amar_profile_kheiriye">
                            <div class="titr_left_amar_profile">
                                <a id = "GFG" href = "#" style="color: rgb(136, 152, 180);"><p>با من تکمیل شده‌ها</p></a>
                                <hr>
                            </div>
                            <div class="box_left_amar">
                                <div class="matn_box_left_amar">
                                    <p>3265</p>
                                </div>
                            </div>
                        </div>
                    </div>

                {% endfor %}  
            </div>
       
        </body>
    
</html>

accounts/templates/accounts/Profile_charity.html
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        <meta charset="utf-8">
        <link rel="stylesheet" href="{% static 'bootstrap.css' %}">
        <link rel="stylesheet" href="{% static 'style.css' %}">
        <script src="{% static 'myjs.js' %}"></script>
        <!حذف کردن دایوهای موجود و نمایش فرم ویرایش>
        <script> 
            $(document).ready(function(){
                $(".edite_profile").hide();
                $(".virayesh1").click(function(){
                    $(".box_form_profile_kheiriye").hide();
                    $(".left_sotoon").hide();
                    $(".edite_profile").show(1000);
                });
            });

            $(document).ready(function(){
                $(".virayesh0").click(function(){
                    $(".box_form_profile_kheiriye").show(1000);
                    $(".left_sotoon").show(1000);
                    $(".edite_profile").hide();
                });
            });


        </script>
<style>
input {
  width: 60%;
  padding: 8px;
  font-size: 15px;
  border: 1px solid #ffffff;
  border-radius: 15px;
  text-align: right;
  background-color: rgb(255, 255, 255);
  outline: none;
  color: rgb(138, 138, 138);
  float: right ;
  box-shadow: 0 1px 3px 3px rgba(0, 0, 0, 0.05);
  
  padding-top: 2px;
}
</style>
    </head>

        <body>
            <div class="backgroundprofile">

                <div class="rightprofile_charity">
                    <div class="profilecirclepic">
                    </div>

                        <div class="list_meno_profile_kheirire" >
                            <a class="virayesh0" id = "GFG" href = "#" style=" color: rgb(13, 68, 139);"><p>پروفایل</p></a>
                            <a class="virayesh1" id = "GFG" href = "#" style=" color: rgb(13, 68, 139);"><p>ویرایش پروفایل</p></a>
                            <a id = "GFG" href = "{% url 'charity:addProject' %}" style=" color: rgb(13, 68, 139);"><p>اضافه کردن گلریزون</p></a>
                            <a id = "GFG" href = "#" style=" color: rgb(13, 68, 139);"><p>اضافه کردن آرزوی کوچک</p></a>
                            <a id = "GFG" href = "#" style=" color: rgb(13, 68, 139);"><p>اضافه کردن کمپین</p></a>
                            <a id = "GFG" href = "#" style=" color: rgb(1, 55, 136);"><p>حذف خیریه</p></a>

                        </div>
                </div>

                

                    <div class="titr_profilr_kheiriye">
                        {% for charity in charitymodir %}
                        <p>{{ charity.name }} : نام خیریه</p>
                        {% endfor %}
                            <hr>

                        {% for modir in query %}
                        <div class="titr_profilr_kheiriye_modir">
                            <p>{{ modir.username }} : کدملی مدیر</p>
                        </div>
                        {% endfor %}
                        

                        <div class="box_form_profile_kheiriye" id="map">
                            <div class="box_form_profile_kheiriye_right">
                                <p  class="lable_ofprofilr_kh">نام موسسه خیریه</p>
                                <p class="lable_ofprofilr_kh">سال تاسیس</p>
                                <p class="lable_ofprofilr_kh">وب سایت</p>
                                <p class="lable_ofprofilr_kh">تلفن مرکزی</p>
                                <p class="lable_ofprofilr_kh">آدرس مرکز</p>
                                <p class="lable_ofprofilr_kh">نام کارشناس</p>
                                <p class="lable_ofprofilr_kh">توضیحات</p>
                            </div>

                            <div class="input_profile_kheiriye"></div>
                            <div class="input_profile_kheiriye"></div>
                            <div class="input_profile_kheiriye"></div>
                            <div class="input_profile_kheiriye"></div>
                            <div class="input_profile_kheiriye"></div>
                            <div class="input_profile_kheiriye"></div>
                            <div class="tozihat_profilr_kheiriye"></div>
                        </div>
                        
                        
                    </div>
                    
                    <!فرم ویرایش اطلاعات کاربر>
                    <div class="edite_profile">
                        <div class="right_edite_profile">
                            <p class="lable_virayesh_profile_kheiriye">نام خیریه</p>
                            <p class="lable_virayesh_profile_kheiriye">سال تاسیس</p>
                            <p class="lable_virayesh_profile_kheiriye">وب سایت</p>
                            <p class="lable_virayesh_profile_kheiriye">تلفن مرکزی</p>
                            <p class="lable_virayesh_profile_kheiriye">آدرس مرکز</p>
                            <p class="lable_virayesh_profile_kheiriye">نام کارشناس</p>
                            <p class="lable_virayesh_profile_kheiriye">توضیحات</p>
                        </div>
                        <input placeholder="نام خیریه"  name="web"><br>
                        <br><input  placeholder="سال تاسیس"  name="web"><br>
                        <br><input placeholder="وب سایت"  name="web"><br>
                        <br><input placeholder="تلفن مرکزی"  name="web"><br>
                        <br><input placeholder="آدرس مرکز"  name="web"><br>
                        <br><input placeholder="نام کارشناس" name="web"><br>
                        <br><input placeholder="توضیحات"  name="web"><br>

                        <button type="submit" class="btn btn-sherkatmikonam  float-sm-none" style="width: 20%; float: left; margin-left: 50%;">ثبت</button> 
                        <button type="submit" class="btn btn-sherkatmikonam float-sm-none " style="width: 20%; float: left; margin-left: 50%; background-color: rgb(224, 73, 73);">انصراف</button> 

                    </div>
                    <!فرم ویرایش اطلاعات کاربر>

                    <div class="left_sotoon">
                        <div class="left_amar_profile_kheiriye">
                            <div class="titr_left_amar_profile">
                                <p>تعداد خیرین</p>
                                <hr>
                            </div>
                            <div class="box_left_amar">
                                <div class="matn_box_left_amar">
                                    <p>215</p>
                                </div>
                            </div>
                        </div>

                        <div class="left_amar_profile_kheiriye">
                            <div class="titr_left_amar_profile">
                                <p>مقدار کمک</p>
                                <hr>
                            </div>
                            <div class="box_left_amar">
                                <div class="matn_box_left_amar">
                                    <p>2015</p>
                                </div>
                            </div>
                        </div>

                        <div class="left_amar_profile_kheiriye">
                            <div class="titr_left_amar_profile">
                                <a id = "GFG" href = "#" style="color: rgb(136, 152, 180);"><p>تکمیل شده‌ها</p></a>
                                <hr>
                            </div>
                            <div class="box_left_amar">
                                <div class="matn_box_left_amar">
                                    <p>3265</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    
            </div>
       
        </body>
    
</html>

accounts/templates/accounts/edit_Profile.html
{% extends 'base_withot_footer.html' %}


{% block content %}

<div class="edit_profile_background">
    <div class="form_div_loginsiup">
        <div class="titr_login_signup">
            <p>ویرایش اطلاعات</p>
        </div>
        <div class="login_signupformss">
            <form class="site-form"  method="POST">
                {% csrf_token %}

              
                {% for field in form %}
                <div class="row">
                  <label for="{{ field.name }}">{{ field.label}}</label>{{ field }}
               </div>
                {% endfor %}


                    <br><br><input  style="float: right ;" class="btn22 success33" type="submit" ,="" value="ویرایش">
            </form>
                <input style="float: left ;" id="vorod" class="btn22 success22" type="input" ,="" value="انصراف">
        </div>
    </div>
</div>


{% endblock %}

accounts/templates/accounts/signup.html
{% extends 'base_withot_footer.html' %}


{% block content %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<script>
    $(document).ready(function(){
        $(".form_div_login").show();
            $(".form_div_loginsiup").hide();
    });

    $(document).ready(function(){
        $("#vorod").click(function(){
            $(".form_div_login").show();
            $(".form_div_loginsiup").hide();
        });
        $("#sabtnam").click(function(){
            $(".form_div_login").hide();
            $(".form_div_loginsiup").show();
        });
    });
    //field validation

    function validateUsername() {
    //alert('من فراخوانی میشم');
    fld = document.getElementById('id_username').value;
    //alert('fld:'+fld);
    var error = "";
    var numbers = /^[0-9]+$/;

    if(fld.value === " ") {
        fld.style.background = 'Yellow';
        error = "کد ملی خود را وارد کنید\n";
        alert(error);
        return false;

    } else if ((fld.value.length < 10) || (fld.value.length > 10)) {
        fld.style.background = 'Yellow';
        error = "کد ملی اشتباه است\n";
        alert(error);
        return false;

    } else if (numbers.test(fld.value)) {
        fld.style.background = 'Yellow';
        error = "کد ملی میتواند شامل اعداد ۰تا۹ باشد\n";
        alert(error);
        return false;

    } else {
        fld.style.background = 'White';
    }
    return true;
    }

</script>


<div class="signupbackground">
    <div class="form_div_loginsiup">
        <div class="titr_login_signup">
            <p>عضویت</p>
        </div>
        <div class="login_signupformss">
            <form class="site-form" action="{% url 'accounts:signup' %}" method="POST">
                {% csrf_token %}
                    <label class="laballoginsignup" for="id_username">کدملی</label><input type="text" class="form-control" id="usr"  name="username" maxlength="10" autofocus="" required="" id="id_username">
                    <label class="laballoginsignup" for="id_first_name">نام</label><input class="form-control" type="text" name="first_name" maxlength="30" id="id_first_name">                    <label for="id_last_name">نام خانوادگی</label><input class="form-control" type="text" name="last_name" maxlength="150" id="id_last_name">
                    <label class="laballoginsignup" for="id_email">ایمیل</label><input type="email" class="form-control" name="email" required="" id="id_email">
                    <label class="laballoginsignup" for="id_password1">رمز عبور</label><input type="password"class="form-control"  name="password1" required="" id="id_password1">
                    <label class="laballoginsignup" for="id_password2">تکرار رمز عبور</label><input class="form-control"  type="password" name="password2" required="" id="id_password2"><br>
                    <input  style="float: right ;" class="btn22 success33" type="submit" ,="" value="ثبت نام">
                </form>
                <input style="float: left ;" id="vorod" class="btn22 success22" type="input" ,="" value="ورود">
        </div>
    </div>

    <div class="form_div_login">
        <div class="titr_login">
            <p>ورود</p>
        </div>
        <div class="login_formss">
            <form class="site-form" action="{% url 'accounts:loginpage' %}" method="POST">
                {% csrf_token %}
            <label  class="laballoginsignupfor="id_username">کدملی</label><input class="form-control" type="text" name="username" autofocus="" required="" id="id_username">
            <label class="laballoginsignup for="id_password">رمز عبور</label><input  class="form-control" type="password" name="password" required="" id="id_password"><br><br><br>

            {% if request.GET.next %}
                <input type="hidden" name="next" value="{{ request.GET.next }}">
            {% endif %}

            <input  style="float: right ;" class="btn22 success33" type="submit" ,="" value="ورود">
            </form>
             <input style="float: left ;" id="sabtnam" class="btn22 success22" type="input" ,="" value="ثبت نام">
        </div>
    </div>

</div>



{% endblock %}

accounts/templates/accounts/test.html
{% extends 'base.html' %}


{% block content %}

sfsdf


{% endblock %}